<template>
  <el-steps
    :active="active"
    align-center
    process-status="finish"
    style="padding: 12px 0 18px 0"
  >
    <el-step
      :title="tab.label"
      v-for="(tab, index) in dstatusOptions"
      :key="tab.name + index"
    ></el-step>
  </el-steps>
</template>

<script>
export default {
  props: ["showModel", "id", "isDetail", "dstatus", "payNo"],
  data() {
    return {
      active: 0,
      // 状态
      dstatusOptions: [
        { id: "0", label: "提交申请" },
        { id: "1", label: "业务审核" },
        { id: "2", label: "财务信息" },
        { id: "3", label: "付款回执" },
        { id: "6", label: "付款完成" },
      ],
    };
  },
  mounted() {
    this.initForm();
  },
  methods: {
    async initForm() {
      this.active = this.dstatusOptions.findIndex((v) => v.id === this.dstatus);
    },
  },
};
</script>

<style>
</style>